/*****************************************************************************
 Copyright  Newcastle University
 Author      Paul Coates
 *****************************************************************************/
#ifndef INDEX_H
#define INDEX_H 1

class Index
{
	public:
		Index();
		~Index();
		Index(Index &orig);

		void operator = (const Index &orig);

		int type;
		int offset;
		int int_val;
		char str_val[64];
		void *ptr;				// a hack used for sorting in web query code
};

// type, 1 - string, 2 - int, 3 - ip address

int operator < (Index &l, Index &r);
int operator <= (Index &l, Index &r);
void swap(Index &a, Index &b);
void quicksort(Index idx[], int low, int high);

#endif

